News:

HackInBo® 2024: L'Evento Imperdibile per gli Appassionati di Sicurezza Informatica

Se sei un appassionato di sicurezza informatica, segna questa data nel tuo calendario: 7 e 8 giugno. L'evento HackInBo® sta per tornare! Quest'anno, IPFire Italia sarà presente con un banchetto entusiasmante, pronto a incontrare specialisti, curiosi e tutti coloro che vogliono approfondire le loro conoscenze sulla sicurezza dei dati.
Cos'è HackInBo?

HackInBo® è la più grande conferenza gratuita sulla Sicurezza Informatica in Italia. L'evento nasce nel 2013 per sopperire alla mancanza di una manifestazione di questo tipo sul territorio italiano, quella di quest'anno sara la 22 edizione, ricordiamo che le sessioni sono due HackInBo® Business Edition e HackInBo® Classic Edition
Rivolto a specialisti ed aziende del settore, HackInBo offre una piattaforma per condividere conoscenze, esperienze e best practice nel campo della sicurezza informatica.

IPFire Italia a HackInBo
IPFire Italia è un'associazione dedicata al supporto volontario e collaborativo per IPFire, un potente firewall open-source. Se sei interessato a scoprire come IPFire può migliorare la sicurezza della tua rete, non perdere questa opportunità! I tecnici presenti saranno in grado di fornire risposte ai quesiti e offriranno spunti per ottimizzare l'utilizzo di IPFire.
Dove Trovarci
Se vuoi conoscere di persona i membri di IPFire Italia e parlare di sicurezza informatica, cerca il nostro banchetto nella sala community durante entrambi i giorni di HackInBo. Sarà un'occasione per fare networking, scambiare idee e apprendere nuove strategie per proteggere le tue risorse digitali. Se non sei tra le persone fortunate ad esserti accaparrato uno dei biglietti per assistere in presenza, non disperarti: tutto l'evento sarà trasmesso online.

Non vediamo l'ora di incontrarti a HackInBo® 2024!

Menu principale

nuova versione OPEN VPN CLIENT

Aperto da simone, Mar 10, 2024, 05:41 PM

Discussione precedente - Discussione successiva

simone

Buongiorno;
ho provato ad aggiornare l'app su android di OpenVpn ma adesso mi restituisce un errore come da foto
Sembrerebbe che richieda l'auteticazione a 2 fattori, a qualcuno è gia capitato se sa come risolvere senza che diventi matto? :'(
grazie e buona domenica

umby

ciao Simone
si questa funzione è stata resa disponibile alcuni aggiornamenti fa, a memoria direi quasi 1 anno fa
ho letto che si può disattivare il controllo a due fattori ma sinceramente non saprei dove, ho sempre attivato questa funzione per aumentare la sicurezza
comunque cercherei nella configurazione della VPN su IPFire

simone

ciao umby;

è una mia interpretazione che sia l'autentificazione a 2FA la causa dell'errore di openvpn client ma non ne sono sicuro.
Vorrei capire se, per caso, anche voi avete aggioranto l'app e vi è sorto questo errore.
purtroppo non riesco a capire quale sia il problema e come risolvere.

grazie

umby

ciao
io come detto quelle installazioni che uso la VPN ho l'autenticazione a due fattori attiva e obbligo ad aggiornare app all'ultima versione disponibile

come detto ho letto che si puo disabilitare la funzione del controllo a due fattori ma non saprei dove, magari se riesco avere un po di tempo vedo di fare delle prove su un dispositivo di prova


simone

ciao umby;

io ho fatto delle prove per poter abilitare la sequenza 2FA ma non funziona con le app.
ho provato a caricare i certificati su una versione desktop e si vede dal log di openvpn che esegue la connessione attendendo il token ma con le app android mi restitusce quell'errore nell'immagine sopra.

non capisco dove sia il problema

umby

ciao
quindi con il PC la connessione VPN funziona e con il telefonino non funziona
è corretto ho capito bene ?

simone

ciao,

allora si, io con l'ultima versione android di ipfire mi restituisce l'errore sopra, invece scaricando una versione per windows e abilitando l'autificazione a 2FA sembra funzionare, si vede che tenta la connessione e poi attende una risposta dal token, dopo non sono andato oltre ma sembrebbe funzionare, sono le app che mi restituscono una impossibilità di connessione per errore e non capisco il perchè

umby

io non ho mai usato un dispositivo Android con la vpn, devo chiedere ai sviluppatori se ci sono limiti o problemi, che come detto non avendo mai fatto niente del genere che non conosca
ti faccio sapere spero che capisca il motivo per non riuscirti dare una risposta rapida

umby

ti chiedo per poter dare informazioni precise di postare versione di Android che utilizzi, app che usi e versione, marca e modello del telefono
e se puoi postare il log per vedere bene l'errore e girare allo staff di sviluppo
ovvio se sul log ci sono informazioni riservate o che non vuoi condividerli eliminali e sostituisci con dei caratteri
attendo le info per fare la segnalazione 

simone

#9
ciao umby,
allora nei log lato server non trovo niente, sul client invece trovo lo stesso errore che ho postato all'inizio del post.
la versione di OpenVpn incriminata è la 3.4.1 e il mal funzionamento è indipendente dalla versione di Android utilizzata che, comunque, sono la 9 e la 14.
con la versione precedente di openvpn tutto ok, nessun problema